/**
 * Represents event arguments for chart's SeriesAdded and SeriesRemoved events
*/
export class DomainChartSeriesPointerEventArgs {
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    /**
     * Gets the series hit by the pointer.
    */
    get series() {
        if (this.i.series == null) {
            return null;
        }
        return this.i.series.externalObject;
    }
    /**
     * Gets the item hit by the pointer.
    */
    get item() {
        return this.i.item;
    }
}
